<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		const CreateNewUser = function() {
		}
		CreateNewUser.prototype.ask = function() {
			this.firstName = prompt(`Укажите Ваше Имя`)
			this.lastName = prompt(`Укажите Вашу Фамилию`)
		}
		CreateNewUser.prototype.getLogin = function() {
			this.login = this.firstName[0] + this.lastName
		}
		CreateNewUser.prototype.dateOfBirth = function() {
			this.birthday = prompt(`Укажите так же Вашу дату рождения в формате "dd.mm.yyyy"`)
		}
		CreateNewUser.prototype.getAge = function() {
			this.year = this.birthday[6] + this.birthday[7] + this.birthday[8] + this.birthday[9] 
			this.age = 2020 - +this.year
		}
		CreateNewUser.prototype.getPassword = function() {
			this.password = this.firstName[0].toUpperCase() + this.lastName.toLowerCase() + this.year
		}
		let newUser = new CreateNewUser()
		newUser.ask()
		newUser.getLogin()
		newUser.dateOfBirth()
		newUser.getAge()
		newUser.getPassword()
		document.write(`Ваше Имя: ${newUser.firstName} <br />Ваша Фамилия: ${newUser.lastName} <br />`)
		document.write(`Ваш логин: ${newUser.login} <br />`)
		document.write(`Вы родились ${newUser.birthday} <br />`)
		document.write(`Ваш возраст в конце года будет равен: ${newUser.age} <br />`)
		document.write(`Ваш пароль: ${newUser.password} <br />`)
	</script>
</body>
</html>